## org.w3c.jigsaw.https.socket
Class SSLProperties

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.jigsaw.config.PropertySet
                        |
                        +--org.w3c.jigsaw.https.socket.SSLProperties

public class SSLProperties
extends PropertySet

Field Summary
`protected static int` `ATTR_SSL_AUTHENTICATE_REQUIRED` ssl authenticate status attribute index (for mandatory client authentication)
`protected static int` `ATTR_SSL_KEYSTORE_PASSWORD` keystore password attribute index
`protected static int` `ATTR_SSL_KEYSTORE_PATH` keystore path attribute index
`protected static int` `ATTR_SSL_PROTOCOL_HANDLER` protocol handler attribute index
`protected static int` `ATTR_SSL_SECURITY_PROVIDER` security provider attribute index
`protected static int` `ATTR_SSL_TRUSTSTORE_PASSWORD` truststore password attribute index (for client authentication)
`protected static int` `ATTR_SSL_TRUSTSTORE_PATH` keystore path attribute index (for client authentication)
`static java.lang.String` `DEFAULT_NAME` default properties name
`static java.lang.String` `DEFAULT_PROTOCOL_HANDLER` default TLS protocol handler (should always be set to default)
`static java.lang.String` `DEFAULT_SECURITY_PROVIDER` default security provider for TLS support
`static boolean` `DEFAULT_SSL_ENABLED` default TLS support
`static boolean` `DEFAULT_SSL_MUST_AUTHENTICATE` default TLS client mandatory authentication
`static java.lang.String` `KEYSTORE_PASSWORD_P` property key for specifying the keystore password
`static java.lang.String` `KEYSTORE_PATH_P` property key for specifying the keystore path
`static java.lang.String` `MUST_AUTHENTICATE_P` property key for enabling mandatory TLS client authentication
`static java.lang.String` `PROTOCOL_HANDLER_P` property key for specifying the TLS protocol handler
`static java.lang.String` `SECURITY_PROVIDER_P` property key for specifying the TLS security provider
`static java.lang.String` `SSL_ENABLED_P` property key for enabling TLS support (attribute implicit via keystore configuration)
`static java.lang.String` `TRUSTSTORE_PASSWORD_P` property key for specifying the truststore password
`static java.lang.String` `TRUSTSTORE_PATH_P` property key for specifying the truststore path

Fields inherited from class org.w3c.jigsaw.config.PropertySet
`server`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`SSLProperties(httpd server)` nameless constructor for SSL properties
`SSLProperties(java.lang.String name, httpd server)` named constructor for SSL properties

Method Summary
`java.lang.String` `getSecurityProvider()` method for supplying the current security provider

Methods inherited from class org.w3c.jigsaw.config.PropertySet
`convertingGet, getHelpURL, getHelpURL, getTitle, getValue, initialize, setValue, unsafeGetValue`

Methods inherited from class org.w3c.tools.resources.Resource

`acceptUnload, checkMultipleLock, collectFrames, delete, getClone, getContext, getFrame, getFrames, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, initialize, isInitialized, isUnloaded, markModified, notifyUnload, pickleValues, registerFrame, setContext, setContext, setValue, unregisterFrame, unsafeGetContext, unsafeGetIdentifier, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SECURITY_PROVIDER_P

    public static final java.lang.String SECURITY_PROVIDER_P

  property key for specifying the TLS security provider

### PROTOCOL_HANDLER_P

    public static final java.lang.String PROTOCOL_HANDLER_P

  property key for specifying the TLS protocol handler

### KEYSTORE_PATH_P

    public static final java.lang.String KEYSTORE_PATH_P

  property key for specifying the keystore path

### KEYSTORE_PASSWORD_P

    public static final java.lang.String KEYSTORE_PASSWORD_P

  property key for specifying the keystore password

### TRUSTSTORE_PATH_P

    public static final java.lang.String TRUSTSTORE_PATH_P

  property key for specifying the truststore path

### TRUSTSTORE_PASSWORD_P

    public static final java.lang.String TRUSTSTORE_PASSWORD_P

  property key for specifying the truststore password

### MUST_AUTHENTICATE_P

    public static final java.lang.String MUST_AUTHENTICATE_P

  property key for enabling mandatory TLS client authentication

### SSL_ENABLED_P

    public static final java.lang.String SSL_ENABLED_P

  property key for enabling TLS support (attribute implicit via keystore configuration)

### DEFAULT_SECURITY_PROVIDER

    public static final java.lang.String DEFAULT_SECURITY_PROVIDER

  default security provider for TLS support

### DEFAULT_PROTOCOL_HANDLER

    public static final java.lang.String DEFAULT_PROTOCOL_HANDLER

  default TLS protocol handler (should always be set to default)

### DEFAULT_SSL_MUST_AUTHENTICATE

    public static final boolean DEFAULT_SSL_MUST_AUTHENTICATE

  default TLS client mandatory authentication

### DEFAULT_SSL_ENABLED

    public static final boolean DEFAULT_SSL_ENABLED

  default TLS support

### DEFAULT_NAME

    public static final java.lang.String DEFAULT_NAME

  default properties name

### ATTR_SSL_SECURITY_PROVIDER

    protected static int ATTR_SSL_SECURITY_PROVIDER

  security provider attribute index

### ATTR_SSL_PROTOCOL_HANDLER

    protected static int ATTR_SSL_PROTOCOL_HANDLER

  protocol handler attribute index

### ATTR_SSL_KEYSTORE_PATH

    protected static int ATTR_SSL_KEYSTORE_PATH

  keystore path attribute index

### ATTR_SSL_KEYSTORE_PASSWORD

    protected static int ATTR_SSL_KEYSTORE_PASSWORD

  keystore password attribute index

### ATTR_SSL_TRUSTSTORE_PATH

    protected static int ATTR_SSL_TRUSTSTORE_PATH

  keystore path attribute index (for client authentication)

### ATTR_SSL_TRUSTSTORE_PASSWORD

    protected static int ATTR_SSL_TRUSTSTORE_PASSWORD

  truststore password attribute index (for client authentication)

### ATTR_SSL_AUTHENTICATE_REQUIRED

    protected static int ATTR_SSL_AUTHENTICATE_REQUIRED

  ssl authenticate status attribute index (for mandatory client authentication)

Constructor Detail

### SSLProperties

    public SSLProperties(httpd server)

  nameless constructor for SSL properties
  Parameters:
    `server` - reference to the current daemon

### SSLProperties

    public SSLProperties(java.lang.String name,
                         httpd server)

  named constructor for SSL properties
  Parameters:
    `name` - the name for the daemon in question
    `server` - reference to the current daemon

Method Detail

### getSecurityProvider

    public java.lang.String getSecurityProvider()

  method for supplying the current security provider
  Returns:
    SSL security provider